<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="io.renren.modules.sys.dao.baseimage.BaseImageMapper">
    <resultMap id="BaseResultMap" type="io.renren.modules.sys.entity.baseimage.BaseImage">
        <id column="base_image_id" jdbcType="BIGINT" property="baseImageId" />
        <result column="base_image_name" jdbcType="VARCHAR" property="baseImageName" />
        <result column="python_and_frame" jdbcType="VARCHAR" property="pythonAndFrame" />
    </resultMap>
    <sql id="Base_Column_List">
        base_image_id, base_image_name, python_and_frame
    </sql>
    <select id="selectByPrimaryKey" parameterType="java.lang.Long" resultMap="BaseResultMap">
        select
        <include refid="Base_Column_List" />
        from base_image
        where base_image_id = #{baseImageId,jdbcType=BIGINT}
    </select>
</mapper>